Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064300 - [abrt] zabbix-server-mysql: exit(): zabbix_server_mysql killed by SIGSEGV
Summary: [abrt] zabbix-server-mysql: exit(): zabbix_server_mysql killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zabbix
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1daee04336296620bac2c725680...
Depends On: 1069079
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 11:40 UTC by erzent
Modified: 2014-04-21 16:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-21 14:24:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: cgroup (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: core_backtrace (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: dso_list (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: environ (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: limits (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: maps (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: open_fds (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: proc_pid_status (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: var_log_messages (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
File: exploitable (deleted)
2014-02-12 11:40 UTC, erzent
no flags Details
Backtrace reported in zabbix_server log (deleted)
2014-02-21 19:59 UTC, Douglas Furlong
no flags Details
objdump output as suggested in the log. (deleted)
2014-02-21 20:00 UTC, Douglas Furlong
no flags Details

Description erzent 2014-02-12 11:40:00 UTC
Version-Release number of selected component:
zabbix-server-mysql-2.0.10-2.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/sbin/zabbix_server
crash_function: exit
executable:     /usr/sbin/zabbix_server_mysql
kernel:         3.12.10-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            992

Truncated backtrace:
Thread no. 1 (3 frames)
 #4 exit at exit.c:104
 #5 daemon_start at daemon.c:240
 #7 _start

Comment 1 erzent 2014-02-12 11:40:12 UTC
Created attachment 862217 [details]
File: backtrace

Comment 2 erzent 2014-02-12 11:40:14 UTC
Created attachment 862218 [details]
File: cgroup

Comment 3 erzent 2014-02-12 11:40:16 UTC
Created attachment 862219 [details]
File: core_backtrace

Comment 4 erzent 2014-02-12 11:40:19 UTC
Created attachment 862220 [details]
File: dso_list

Comment 5 erzent 2014-02-12 11:40:22 UTC
Created attachment 862221 [details]
File: environ

Comment 6 erzent 2014-02-12 11:40:23 UTC
Created attachment 862222 [details]
File: limits

Comment 7 erzent 2014-02-12 11:40:26 UTC
Created attachment 862223 [details]
File: maps

Comment 8 erzent 2014-02-12 11:40:28 UTC
Created attachment 862224 [details]
File: open_fds

Comment 9 erzent 2014-02-12 11:40:33 UTC
Created attachment 862225 [details]
File: proc_pid_status

Comment 10 erzent 2014-02-12 11:40:40 UTC
Created attachment 862226 [details]
File: var_log_messages

Comment 11 erzent 2014-02-12 11:40:42 UTC
Created attachment 862227 [details]
File: exploitable

Comment 12 Vilius Šumskas 2014-02-18 10:31:36 UTC
Exactly the same issue here.

Comment 13 Volker Fröhlich 2014-02-18 10:55:44 UTC
I don't expect it to go away, but can you try 2.0.11 from testing?

Comment 14 Vilius Šumskas 2014-02-18 11:10:51 UTC
Still the same error.

The error appeared after latest system updates couple of days ago.

I have also tried to downgrade kernel to 3.12.9, downgrade mariadb to 5.5.34 and glibc to 2.18.11. It's strange that nothing helped.

Comment 15 Douglas Furlong 2014-02-21 19:52:54 UTC
I think I may be suffering the same issue, I've upgraded to the latest version in testing and experiencing the same issue.

Comment 16 Douglas Furlong 2014-02-21 19:59:45 UTC
Created attachment 866241 [details]
Backtrace reported in zabbix_server log

Comment 17 Douglas Furlong 2014-02-21 20:00:31 UTC
Created attachment 866242 [details]
objdump output as suggested in the log.

Comment 18 Vilius Šumskas 2014-02-22 21:57:22 UTC
Found it!

It's a gnutls update which breaks zabbix. Downgradeing to gnutls-3.1.18-3.fc20.i686 fixes the issue. I can start zabbix-server again. Upgrading to gnutls-3.1.20-2.fc20.i686 or gnutls-3.1.20-3.fc20.i686 breaks it again. Reproduceble every time here.

Comment 19 Volker Fröhlich 2014-02-23 23:08:30 UTC
Thanks a lot for researching that! That would have taken me quite a while. I rebuilt the package in COPR. Can you give it a try?

https://copr.fedoraproject.org/coprs/volter/zabbix-gnutls/

Comment 20 Vilius Šumskas 2014-02-24 00:10:48 UTC
Still segfaulting with zabbix-2.0.11-3 and newest gnutls.

Comment 21 Jerry 2014-02-24 00:37:25 UTC
(In reply to Vilius Šumskas from comment #18)
> Found it!
> 
> It's a gnutls update which breaks zabbix. Downgradeing to
> gnutls-3.1.18-3.fc20.i686 fixes the issue. I can start zabbix-server again.
> Upgrading to gnutls-3.1.20-2.fc20.i686 or gnutls-3.1.20-3.fc20.i686 breaks
> it again. Reproduceble every time here.

I don't know if this is the right place, but I am experiencing a problem with gnutls > 3.1.16 (x86_64) and xbmc.  If I upgrade to a newer gnutls version such as 3.1.20-3, xbmc crashes.  I had a bug filed against gnutls but it has been closed due to lack of evidence.  https://bugzilla.redhat.com/show_bug.cgi?id=1063089

Thanks!

Comment 22 Volker Fröhlich 2014-02-27 13:07:43 UTC
https://support.zabbix.com/browse/ZBX-7790

Comment 23 Vilius Šumskas 2014-04-16 08:17:54 UTC
Confirmed as fixed by trousers-0.3.11.2.

Comment 24 Volker Fröhlich 2014-04-21 14:24:46 UTC
"Rafaga2k" on Freenode confirmed the same. Thanks Vilius! Closing!


Note You need to log in before you can comment on or make changes to this bug.